Inbox and fans
Rename fan
Change the display name used for a fan in the specified creator account.
PATCH
/v1/agencies/{agencyId}/creators/{creatorId}/fans/{fanId}/display-nameChange the display name used for a fan in the specified creator account.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
fanId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/agencies/string/creators/string/fans/string/display-name" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string" }'{ "data": { "avatar": null, "listsStates": [ { "hasUser": true, "canAddUser": true, "id": "string", "name": "string", "type": "string" } ], "id": "string", "name": "string", "username": "string", "canLookStory": true, "canCommentStory": true, "canChat": true, "hasNotViewedStory": true, "isCreator": true, "canPayInternal": true, "hasScheduledStream": true, "hasStream": true, "isMuted": true, "hasStories": true, "tipsEnabled": true, "tipsTextEnabled": true, "tipsMin": 0, "tipsMinInternal": 0, "tipsMax": 0, "canEarn": true, "canAddSubscriber": true, "subscribePrice": 0, "displayName": "string", "isRestricted": true, "subscribedOn": true, "subscribedOnDuration": "string", "lastSeen": null, "avatarThumbnails": null, "fanSpendingDetails": null, "isBlocked": null, "isCanceledNextMonth": null, "chatId": null }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}